curl --request POST \
--url https://api.circle.com/v1/cpn/supportTickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"paymentId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"issueType": "PAYMENT_SETTLEMENT_DELAY",
"description": "<string>",
"email": "help@ofi.com",
"idempotencyKey": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
"ccEmails": [
"ccsupport01@example.com",
"ccsupport02@example.com"
]
}
'import requests
url = "https://api.circle.com/v1/cpn/supportTickets"
payload = {
"paymentId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"issueType": "PAYMENT_SETTLEMENT_DELAY",
"description": "<string>",
"email": "help@ofi.com",
"idempotencyKey": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
"ccEmails": ["ccsupport01@example.com", "ccsupport02@example.com"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
paymentId: 'c4d1da72-111e-4d52-bdbf-2e74a2d803d5',
issueType: 'PAYMENT_SETTLEMENT_DELAY',
description: '<string>',
email: 'help@ofi.com',
idempotencyKey: 'a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11',
ccEmails: ['ccsupport01@example.com', 'ccsupport02@example.com']
})
};
fetch('https://api.circle.com/v1/cpn/supportTickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "supportTicket",
"id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"paymentId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"issueType": "PAYMENT_SETTLEMENT_DELAY",
"description": "<string>",
"caseRefId": "<string>",
"email": "help@ofi.com",
"createDate": "2023-01-01T12:04:05Z",
"ticketRefId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"ccEmails": [
"ccsupport01@example.com",
"ccsupport02@example.com"
]
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 3,
"message": "Forbidden"
}{
"code": 404,
"message": "Not found."
}{
"code": 290001,
"message": "A request with this idempotency key has already been processed."
}Create a support ticket
Create transaction-related issues (for example, settlement delays, missing information, or refunds). These tickets are stored centrally in the CPN platform and routed to the appropriate party for resolution.
Authorizations
Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.
Body
Request schema for creating a support ticket
System-generated unique identifier of the resource.
"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"
Type of the support ticket
PAYMENT_SETTLEMENT_DELAY, PAYMENT_SENT_TO_WRONG_RECIPIENT, PAYMENT_AMOUNT_INCORRECT, REVERSE_FUNDS, OTHER "PAYMENT_SETTLEMENT_DELAY"
Detailed message for the support ticket.
Contact email for follow-up.
"help@ofi.com"
Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests. To create a UUIDv4 go to uuidgenerator.net. If the same key is reused, it will be treated as the same request and the original response will be returned.
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Optional CC email address for follow-up conversations on this support ticket.
[
"ccsupport01@example.com",
"ccsupport02@example.com"
]
Response
Support ticket created successfully.
Response schema for a support ticket
Show child attributes
Show child attributes
Was this page helpful?